Bug 1029247 - awake needs to depend on python3-awake
awake needs to depend on python3-awake
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: awake (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 19:31 EST by Michele Baldessari
Modified: 2013-12-13 21:58 EST (History)
1 user (show)

See Also:
Fixed In Version: awake-1.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:30:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michele Baldessari 2013-11-11 19:31:31 EST
Description of problem:

$ awake
Traceback (most recent call last):
  File "/usr/bin/awake", line 2, in <module>
    import awake
ImportError: No module named 'awake'

$ rpm -q --requires awake |grep python
/usr/bin/python3

Installing python3-awake fixes it
Comment 1 Fedora Update System 2013-11-16 07:13:54 EST
awake-1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/awake-1.0-2.fc18
Comment 2 Fedora Update System 2013-11-16 07:14:04 EST
awake-1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/awake-1.0-2.fc20
Comment 3 Fedora Update System 2013-11-16 07:14:13 EST
awake-1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/awake-1.0-2.fc19
Comment 4 Fedora Update System 2013-11-17 01:59:31 EST
Package awake-1.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing awake-1.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21532/awake-1.0-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-12-01 04:30:54 EST
awake-1.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-01 04:31:09 EST
awake-1.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-13 21:58:06 EST
awake-1.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.